List messages

List all messages in a room or conversation

POST
/conversations/ListMessages
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List messages input

conversationId?string
pagination?bv.Pagination
roomIdstring

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/conversations/ListMessages" \  -H "Content-Type: application/json" \  -d '{    "roomId": "string"  }'
[
  {
    "createdAt": "string",
    "id": "string",
    "parts": [
      {
        "assetId": "string",
        "kind": "text",
        "text": "string",
        "thinking": "string",
        "toolCalls": [
          {
            "id": "string",
            "name": "string",
            "parameters": null,
            "preExecutionMessage": "string",
            "response": null,
            "taskId": "string",
            "waitForExecution": true
          }
        ]
      }
    ],
    "role": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}